*,
*::before,
*::after {
  box-sizing: border-box;
}
:root {
  --bg-body: #f5f5f5;
  --bg: #171717;
  --bg2: #121212;
  --text: #d3dada;
  --text2: #586e75;
  --shadow-light: rgba(255, 255, 255, 0.1);
  --shadow-dark: rgba(0, 0, 0, 0.6);
}

html,
body {
  width: 100%;
  height: 100%;
}

body {
  font-family: 'Poppins', serif;
  margin: 0;
  padding: 0;
  background-color: var(--bg);
  color: var(--text);
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

main {
  background-color: var(--bg2);
  width: 350px;
  height: 500px;
  padding: 15px;
  border-radius: 30px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  box-shadow: 6px 6px 12px var(--shadow-dark),
    -6px -6px 12px var(--shadow-light);
}

.profile-img {
  height: 120px;
  width: 120px;
  border-radius: 50%;
  overflow: hidden;
  display: flex;
  justify-content: center;
  align-items: center;
  box-shadow: 4px 4px 8px var(--shadow-dark), -4px -4px 8px var(--shadow-light);
}

.profile-img img {
  width: 100%;
  height: auto;
  object-fit: cover;
}

.profile-details {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.profile-details h1 {
  font-size: 30px;
  font-weight: 700;
}

.profile-details h2 {
  font-size: 20px;
  font-weight: 100;
}

.short-bio {
  font-size: 13px;
  text-align: justify;
}

.profile-address {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  margin: 10px;
  padding: 10px;
  border-radius: 5px;
  font-size: 12px;
  color: #555;
}

.profile-address i {
  color: #0077b5;
}

.profile-socials {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 15px;
}

.profile-socials a {
  text-decoration: none;
  color: #333;
  font-size: 20px;
  transition: color 0.3s ease;
}

.profile-socials a:hover {
  color: #0073b1;
}

.current-time-utc {
  width: 85%;
  margin-top: 10px;
  font-size: 14px;
  text-align: center;
  font-weight: bold;
  color: #555;
  background: rgba(255, 255, 255, 0.2);
  padding: 5px 10px;
  border-radius: 5px;
  display: inline-block;
}
